searchData={"items":[{"type":"module","title":"TwitchAPI","doc":"Twitch API.\n\nYou can make requests to Twitch API endpoints.","ref":"TwitchAPI.html"},{"type":"module","title":"Examples - TwitchAPI","doc":"```elixir\n  client_id = \"asdsdksdl93roi39\"\n  access_token = \"09wriujr329jd023920dk203kd0932d\"\n\n  auth = TwitchAPI.Auth.new(client_id, access_token)\n\n  case TwitchAPI.get(auth, \"/users\") do\n    {:ok, %{body: users}} ->\n      IO.inspect(users, label: \"Successful response body\")\n\n    {:error, resp} ->\n      IO.inspect(resp, label: \"We got an error\")\n  end\n```","ref":"TwitchAPI.html#module-examples"},{"type":"function","title":"TwitchAPI.client/1","doc":"Build a base `t:Req.Request.t/0` for Twitch API requests.\n\nYou can pass either this or a `t:TwitchAPI.Auth.t/0` struct to the\nrequest functions.\n\nNOTE: You probably only want to use this directly if you want to do something\ndifferent than the default.","ref":"TwitchAPI.html#client/1"},{"type":"function","title":"TwitchAPI.delete/3","doc":"Make a Twitch API DELETE request.\nReturns `:ok` or `:error` tuples.","ref":"TwitchAPI.html#delete/3"},{"type":"function","title":"TwitchAPI.delete!/3","doc":"Make a Twitch API DELETE request.\nRaises on error or unexpected HTTP status.","ref":"TwitchAPI.html#delete!/3"},{"type":"function","title":"TwitchAPI.get/3","doc":"Make a Twitch API GET request.\nReturns `:ok` or `:error` tuples.","ref":"TwitchAPI.html#get/3"},{"type":"function","title":"TwitchAPI.get!/3","doc":"Make a Twitch API GET request.\nRaises on error or unexpected HTTP status.","ref":"TwitchAPI.html#get!/3"},{"type":"function","title":"TwitchAPI.head/3","doc":"Make a Twitch API HEAD request.\nReturns `:ok` or `:error` tuples.","ref":"TwitchAPI.html#head/3"},{"type":"function","title":"TwitchAPI.head!/3","doc":"Make a Twitch API HEAD request.\nRaises on error or unexpected HTTP status.","ref":"TwitchAPI.html#head!/3"},{"type":"function","title":"TwitchAPI.patch/3","doc":"Make a Twitch API PATCH request.\nReturns `:ok` or `:error` tuples.","ref":"TwitchAPI.html#patch/3"},{"type":"function","title":"TwitchAPI.patch!/3","doc":"Make a Twitch API PATCH request.\nRaises on error or unexpected HTTP status.","ref":"TwitchAPI.html#patch!/3"},{"type":"function","title":"TwitchAPI.post/3","doc":"Make a Twitch API POST request.\nReturns `:ok` or `:error` tuples.","ref":"TwitchAPI.html#post/3"},{"type":"function","title":"TwitchAPI.post!/3","doc":"Make a Twitch API POST request.\nRaises on error or unexpected HTTP status.","ref":"TwitchAPI.html#post!/3"},{"type":"function","title":"TwitchAPI.put/3","doc":"Make a Twitch API PUT request.\nReturns `:ok` or `:error` tuples.","ref":"TwitchAPI.html#put/3"},{"type":"function","title":"TwitchAPI.put!/3","doc":"Make a Twitch API PUT request.\nRaises on error or unexpected HTTP status.","ref":"TwitchAPI.html#put!/3"},{"type":"type","title":"TwitchAPI.body_params/0","doc":"","ref":"TwitchAPI.html#t:body_params/0"},{"type":"module","title":"TwitchAPI.Auth","doc":"Auth struct.","ref":"TwitchAPI.Auth.html"},{"type":"function","title":"TwitchAPI.Auth.new/2","doc":"Make a new Auth struct.","ref":"TwitchAPI.Auth.html#new/2"},{"type":"function","title":"TwitchAPI.Auth.revoke_token!/1","doc":"Revoke an access token.","ref":"TwitchAPI.Auth.html#revoke_token!/1"},{"type":"type","title":"TwitchAPI.Auth.t/0","doc":"","ref":"TwitchAPI.Auth.html#t:t/0"}],"content_type":"text/markdown"}